gnutls_psk_server_get_username(3)

NAME
gnutls_psk_server_get_username - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_psk_server_get_username(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This should only be called in case of PSK authentication and in case of a server.

RETURNS
the username of the peer, or NULL in case of an error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/